> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apicheckout paymentstatus

> Get the payment status for a checkout



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json get /api/checkout/{checkoutId}/payment/status
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/checkout/{checkoutId}/payment/status:
    get:
      tags:
        - checkout
      description: Get the payment status for a checkout
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: true
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: true
          schema:
            type: string
        - name: checkoutId
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    oneOf:
                      - $ref: '#/components/schemas/Checkout_PaymentWithProviders'
                      - $ref: '#/components/schemas/Checkout_PaymentNotRequired'
                required:
                  - data
components:
  schemas:
    Checkout_PaymentWithProviders:
      type: object
      properties:
        status:
          type: string
          enum:
            - FAILED
            - INITIALIZED
            - SETTLED
        totalAmount:
          type: number
        currency:
          type: string
        errors:
          type: array
          items:
            type: string
        primaryPaymentProvider:
          type: object
          properties:
            type:
              type: string
              enum:
                - ON_SITE
                - DATATRANS
            status:
              type: string
              enum:
                - FAILED
                - INITIALIZED
                - SETTLED
                - CANCELED
                - AUTHORIZED
                - TRANSMITTED
            paymentMethod:
              oneOf:
                - nullable: true
                - $ref: '#/components/schemas/EGumaPaymentDetailMetaData'
                - $ref: '#/components/schemas/IncertPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransTwintPaymentDetailMetaData'
                - $ref: >-
                    #/components/schemas/DatatransPostFinancePayPaymentDetailMetaData
                - $ref: >-
                    #/components/schemas/DatatransPostFinanceCardPaymentDetailMetaData
                - $ref: '#/components/schemas/DatatransREKAPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransDebitPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransPrepaidPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransCreditPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransPaypalPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransEPSPaymentDetailMetaData'
                - $ref: '#/components/schemas/DatatransAnonymousPaymentDetailMetaData'
              nullable: true
            amount:
              type: number
          required:
            - type
            - status
            - paymentMethod
            - amount
        secondaryPaymentProviders:
          type: array
          items:
            type: object
            properties:
              type:
                type: string
                enum:
                  - INCERT
                  - EGUMA
                  - ONLINE_CREDIT
              status:
                type: string
                enum:
                  - FAILED
                  - INITIALIZED
                  - SETTLED
                  - CANCELED
                  - AUTHORIZED
                  - TRANSMITTED
              paymentMethod:
                oneOf:
                  - nullable: true
                  - $ref: '#/components/schemas/EGumaPaymentDetailMetaData'
                  - $ref: '#/components/schemas/IncertPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransTwintPaymentDetailMetaData'
                  - $ref: >-
                      #/components/schemas/DatatransPostFinancePayPaymentDetailMetaData
                  - $ref: >-
                      #/components/schemas/DatatransPostFinanceCardPaymentDetailMetaData
                  - $ref: '#/components/schemas/DatatransREKAPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransDebitPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransPrepaidPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransCreditPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransPaypalPaymentDetailMetaData'
                  - $ref: '#/components/schemas/DatatransEPSPaymentDetailMetaData'
                  - $ref: >-
                      #/components/schemas/DatatransAnonymousPaymentDetailMetaData
                nullable: true
              amount:
                type: number
            required:
              - type
              - status
              - paymentMethod
              - amount
      required:
        - status
        - totalAmount
        - currency
        - errors
        - primaryPaymentProvider
        - secondaryPaymentProviders
    Checkout_PaymentNotRequired:
      type: object
      properties:
        status:
          type: string
          enum:
            - NOT_REQUIRED
        totalAmount:
          type: number
        currency:
          type: string
      required:
        - status
        - totalAmount
        - currency
    EGumaPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - EGUMA
        type:
          type: string
          enum:
            - voucher
      required:
        - provider
        - type
    IncertPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - INCERT
        type:
          type: string
          enum:
            - voucher
      required:
        - provider
        - type
    DatatransTwintPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - TWI
        brand:
          type: string
        type:
          type: string
          enum:
            - TWI
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransPostFinancePayPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - PFP
        brand:
          type: string
        type:
          type: string
          enum:
            - PFP
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransPostFinanceCardPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - PFC
        brand:
          type: string
        type:
          type: string
          enum:
            - PFC
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransREKAPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - REK
        brand:
          type: string
        type:
          type: string
          enum:
            - REK
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransDebitPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - VIS
            - ECA
            - AMX
            - CUP
            - DIN
            - DIS
            - JCB
            - MAU
            - DNK
            - UAP
            - BON
        brand:
          type: string
        type:
          type: string
          enum:
            - card
        expiryMonth:
          type: number
        expiryYear:
          type: number
        masked:
          type: string
        nextExpireDateChecker:
          type: string
        numberOfExpireTries:
          type: number
        subType:
          type: string
          enum:
            - debit
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
        - expiryMonth
        - expiryYear
        - masked
        - numberOfExpireTries
        - subType
    DatatransPrepaidPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - VIS
            - ECA
            - AMX
            - CUP
            - DIN
            - DIS
            - JCB
            - MAU
            - DNK
            - UAP
            - BON
        brand:
          type: string
        type:
          type: string
          enum:
            - card
        expiryMonth:
          type: number
        expiryYear:
          type: number
        masked:
          type: string
        nextExpireDateChecker:
          type: string
        numberOfExpireTries:
          type: number
        subType:
          type: string
          enum:
            - prepaid
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
        - expiryMonth
        - expiryYear
        - masked
        - numberOfExpireTries
        - subType
    DatatransCreditPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - VIS
            - ECA
            - AMX
            - CUP
            - DIN
            - DIS
            - JCB
            - MAU
            - DNK
            - UAP
            - BON
        brand:
          type: string
        type:
          type: string
          enum:
            - card
        expiryMonth:
          type: number
        expiryYear:
          type: number
        masked:
          type: string
        nextExpireDateChecker:
          type: string
        numberOfExpireTries:
          type: number
        subType:
          type: string
          enum:
            - credit
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
        - expiryMonth
        - expiryYear
        - masked
        - numberOfExpireTries
        - subType
    DatatransPaypalPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - PAP
        brand:
          type: string
        type:
          type: string
          enum:
            - PAP
        fraudSessionId:
          type: string
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransEPSPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        refno:
          type: string
        transactionId:
          type: string
        paymentMethod:
          type: string
          enum:
            - EPS
        brand:
          type: string
        type:
          type: string
          enum:
            - EPS
      required:
        - provider
        - refno
        - transactionId
        - paymentMethod
        - brand
        - type
    DatatransAnonymousPaymentDetailMetaData:
      type: object
      properties:
        provider:
          type: string
          enum:
            - DATATRANS
        type:
          type: string
          enum:
            - anonymous
        paymentMethod:
          oneOf:
            - type: object
              properties: {}
            - type: string
              enum:
                - TWI
            - type: string
              enum:
                - PAP
            - type: string
              enum:
                - DIB
            - type: string
              enum:
                - EPS
            - type: string
              enum:
                - REK
            - type: string
              enum:
                - PFP
            - type: string
              enum:
                - PFC
            - type: string
              enum:
                - APL
            - type: string
              enum:
                - PAY
            - type: string
              enum:
                - VIS
            - type: string
              enum:
                - ECA
        transactionId:
          type: string
      required:
        - provider
        - type
        - paymentMethod
        - transactionId

````